import{s as pe,n as oe,o as me}from"../chunks/scheduler.b108d059.js";import{S as re,i as ue,g as s,s as n,r as L,A as fe,h as p,f as l,c as a,j as ae,u as w,x as m,k as se,y as ge,a as i,v as M,d as P,t as b,w as U}from"../chunks/index.008de539.js";import{C as de}from"../chunks/CodeBlock.3968c746.js";import{H}from"../chunks/Heading.88bfeb84.js";function $e(Q){let o,S,G,A,r,E,u,Y="Welcome to the 🤗 Optimum-TPU training guide! This section covers how to fine-tune models using Google Cloud TPUs.",J,f,Z,g,N="The following models have been tested and validated for fine-tuning on TPU <code>v5e</code> and <code>v6e</code>:",k,d,K="<li>🦙 LLaMA Family<ul><li>LLaMA-2 7B</li> <li>LLaMA-3 8B</li> <li>LLaMA-3.2 1B</li></ul></li> <li>💎 Gemma Family<ul><li>Gemma 2B</li> <li>Gemma 7B</li></ul></li>",F,$,ee="Bigger models are supported, but not yet tested.",R,c,j,h,z,x,te="Before starting the training process, ensure you have:",W,T,le='<li>A configured Google Cloud TPU instance (see <a href="./deploy">Deployment Guide</a>)</li> <li>Optimum-TPU installed with PyTorch/XLA support:</li>',q,v,I,_,O,C,ie="We provide several example scripts to help you get started:",V,y,ne='<li><p>Gemma Fine-tuning:</p> <ul><li>See our <a href="https://github.com/huggingface/optimum-tpu/blob/main/examples/language-modeling/gemma_tuning.ipynb" rel="nofollow">Gemma fine-tuning notebook</a> for a step-by-step guide</li></ul></li> <li><p>LLaMA Fine-tuning:</p> <ul><li>Check our <a href="https://github.com/huggingface/optimum-tpu/blob/main/examples/language-modeling/llama_tuning.ipynb" rel="nofollow">LLaMA fine-tuning script</a> for detailed instructions</li></ul></li>',X,B,D;return r=new H({props:{title:"Training on TPU",local:"training-on-tpu",headingTag:"h1"}}),f=new H({props:{title:"Currently Supported Models",local:"currently-supported-models",headingTag:"h2"}}),c=new H({props:{title:"Getting Started",local:"getting-started",headingTag:"h2"}}),h=new H({props:{title:"Prerequisites",local:"prerequisites",headingTag:"h3"}}),v=new de({props:{code:"cGlwJTIwaW5zdGFsbCUyMG9wdGltdW0tdHB1JTIwLWYlMjBodHRwcyUzQSUyRiUyRnN0b3JhZ2UuZ29vZ2xlYXBpcy5jb20lMkZsaWJ0cHUtcmVsZWFzZXMlMkZpbmRleC5odG1sJTBBZXhwb3J0JTIwUEpSVF9ERVZJQ0UlM0RUUFU=",highlighted:`pip install optimum-tpu -f https://storage.googleapis.com/libtpu-releases/index.html
<span class="hljs-built_in">export</span> PJRT_DEVICE=TPU`,wrap:!1}}),_=new H({props:{title:"Example Training Scripts",local:"example-training-scripts",headingTag:"h3"}}),{c(){o=s("meta"),S=n(),G=s("p"),A=n(),L(r.$$.fragment),E=n(),u=s("p"),u.textContent=Y,J=n(),L(f.$$.fragment),Z=n(),g=s("p"),g.innerHTML=N,k=n(),d=s("ul"),d.innerHTML=K,F=n(),$=s("p"),$.textContent=ee,R=n(),L(c.$$.fragment),j=n(),L(h.$$.fragment),z=n(),x=s("p"),x.textContent=te,W=n(),T=s("ol"),T.innerHTML=le,q=n(),L(v.$$.fragment),I=n(),L(_.$$.fragment),O=n(),C=s("p"),C.textContent=ie,V=n(),y=s("ol"),y.innerHTML=ne,X=n(),B=s("p"),this.h()},l(e){const t=fe("svelte-u9bgzb",document.head);o=p(t,"META",{name:!0,content:!0}),t.forEach(l),S=a(e),G=p(e,"P",{}),ae(G).forEach(l),A=a(e),w(r.$$.fragment,e),E=a(e),u=p(e,"P",{"data-svelte-h":!0}),m(u)!=="svelte-zgzj4i"&&(u.textContent=Y),J=a(e),w(f.$$.fragment,e),Z=a(e),g=p(e,"P",{"data-svelte-h":!0}),m(g)!=="svelte-lhmzxh"&&(g.innerHTML=N),k=a(e),d=p(e,"UL",{"data-svelte-h":!0}),m(d)!=="svelte-f2uogq"&&(d.innerHTML=K),F=a(e),$=p(e,"P",{"data-svelte-h":!0}),m($)!=="svelte-7c440h"&&($.textContent=ee),R=a(e),w(c.$$.fragment,e),j=a(e),w(h.$$.fragment,e),z=a(e),x=p(e,"P",{"data-svelte-h":!0}),m(x)!=="svelte-jesrlw"&&(x.textContent=te),W=a(e),T=p(e,"OL",{"data-svelte-h":!0}),m(T)!=="svelte-10vix3u"&&(T.innerHTML=le),q=a(e),w(v.$$.fragment,e),I=a(e),w(_.$$.fragment,e),O=a(e),C=p(e,"P",{"data-svelte-h":!0}),m(C)!=="svelte-1oeyxj5"&&(C.textContent=ie),V=a(e),y=p(e,"OL",{"data-svelte-h":!0}),m(y)!=="svelte-kx9rsy"&&(y.innerHTML=ne),X=a(e),B=p(e,"P",{}),ae(B).forEach(l),this.h()},h(){se(o,"name","hf:doc:metadata"),se(o,"content",ce)},m(e,t){ge(document.head,o),i(e,S,t),i(e,G,t),i(e,A,t),M(r,e,t),i(e,E,t),i(e,u,t),i(e,J,t),M(f,e,t),i(e,Z,t),i(e,g,t),i(e,k,t),i(e,d,t),i(e,F,t),i(e,$,t),i(e,R,t),M(c,e,t),i(e,j,t),M(h,e,t),i(e,z,t),i(e,x,t),i(e,W,t),i(e,T,t),i(e,q,t),M(v,e,t),i(e,I,t),M(_,e,t),i(e,O,t),i(e,C,t),i(e,V,t),i(e,y,t),i(e,X,t),i(e,B,t),D=!0},p:oe,i(e){D||(P(r.$$.fragment,e),P(f.$$.fragment,e),P(c.$$.fragment,e),P(h.$$.fragment,e),P(v.$$.fragment,e),P(_.$$.fragment,e),D=!0)},o(e){b(r.$$.fragment,e),b(f.$$.fragment,e),b(c.$$.fragment,e),b(h.$$.fragment,e),b(v.$$.fragment,e),b(_.$$.fragment,e),D=!1},d(e){e&&(l(S),l(G),l(A),l(E),l(u),l(J),l(Z),l(g),l(k),l(d),l(F),l($),l(R),l(j),l(z),l(x),l(W),l(T),l(q),l(I),l(O),l(C),l(V),l(y),l(X),l(B)),l(o),U(r,e),U(f,e),U(c,e),U(h,e),U(v,e),U(_,e)}}}const ce='{"title":"Training on TPU","local":"training-on-tpu","sections":[{"title":"Currently Supported Models","local":"currently-supported-models","sections":[],"depth":2},{"title":"Getting Started","local":"getting-started","sections":[{"title":"Prerequisites","local":"prerequisites","sections":[],"depth":3},{"title":"Example Training Scripts","local":"example-training-scripts","sections":[],"depth":3}],"depth":2}],"depth":1}';function he(Q){return me(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ce extends re{constructor(o){super(),ue(this,o,he,$e,pe,{})}}export{Ce as component};
